summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-eselect/eselect-ruby/Manifest1
-rw-r--r--app-eselect/eselect-ruby/eselect-ruby-20190121.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/app-eselect/eselect-ruby/Manifest b/app-eselect/eselect-ruby/Manifest
index 4efb26f4ed5..7962f527288 100644
--- a/app-eselect/eselect-ruby/Manifest
+++ b/app-eselect/eselect-ruby/Manifest
@@ -1,3 +1,4 @@
DIST ruby.eselect-20170723.xz 1972 BLAKE2B 338f9fbb81ebe3c0fdcab77ab12cabd6aa334ac3bf64352cd801c8088d7c3ac4c452e647addc98497d104df24f7934d8cdd8b0008e4f52fb27306a80411f793b SHA512 9c0614bc7e2ce9811466f257035d74622a96db8d44aa0908414fbac7d4142c34350257b08ace7371901e46cc0c9a38c3f2acae3caea4fb354ccc37b8c919b48f
DIST ruby.eselect-20171225.xz 1972 BLAKE2B 919a5d3847fd38dd86352623dca38523a323b0450f3fb2f04c5fb426e905431a6ef2e221c7221b67b9c4a989253ef2cda70a1dd2df710eb9331234bcefcc0dd6 SHA512 3398de77c5a836119f52980d26702c891af1bc7f83596829591d268cb252843242c2e00c42e10cfe3468a4b92e47e6d551108d21d1e322edda7e4756a1b5ad86
DIST ruby.eselect-20181225.xz 1972 BLAKE2B 548da25e755c4956cc84fc8828db260a74dd0f96863c840d77c852eac101bb4d836fe22b2f927ad3b324b120b26d6b4b28b83881be8ca987b873b7edf806a04a SHA512 4075c6e6e58cb1d13c7779f0a9c7ad2f04edb93e6b870753d9991a10bffd780f46b18567cd47e9f888a939b180ecac07e76dc8ad9d50b344d1cca55db36d9b26
+DIST ruby.eselect-20190121.xz 2000 BLAKE2B d9a73194b3b7a6358a5830501b64960b5491acd8cd290465956ab7c3aaf0b3734deba7847b452b26aa028c02751fc164f39521e48fdc41bceca820b1b2dfe257 SHA512 19bf869cda1a5c87fdf57021b8596ffb2de0d3079c34b453540e1accb1a6e84924d6015326285493e407c7e79523813c6c79fdad9083a44eae03265b0b5bddb5
diff --git a/app-eselect/eselect-ruby/eselect-ruby-20190121.ebuild b/app-eselect/eselect-ruby/eselect-ruby-20190121.ebuild
new file mode 100644
index 00000000000..bf63facbefc
--- /dev/null
+++ b/app-eselect/eselect-ruby/eselect-ruby-20190121.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Manages multiple Ruby versions"
+HOMEPAGE="https://www.gentoo.org"
+SRC_URI="https://dev.gentoo.org/~graaff/ruby-team/ruby.eselect-${PVR}.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-admin/eselect-1.0.2"
+
+S=${WORKDIR}
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ newins "${WORKDIR}/ruby.eselect-${PVR}" ruby.eselect || die
+}